<?php
/*
 * Plugin Name:       GB Forms DB
 * Plugin URI:        https://www.gb-plugins.com/gb-forms-db/
 * Description:       save all forms leeds as GB Forms DB base on CPT
 * Version:           1.0.0
 * Author:            gilwebdeveloper
 * Author URI:        http://gbweb.co.il/
 * Text Domain:       gb-forms-db
 * License:           GPL-2.0+
 * License URI:       http://www.gnu.org/licenses/gpl-2.0.txt
 * Domain Path:       /languages
*/

//blocking direct access the file
defined( 'ABSPATH' ) or die( 'No script kiddies please!' );

/** Plugin url */
define('GBFDBURL', plugins_url().'/'.basename(dirname(__FILE__)));
define('GBFDBDIR', plugin_dir_path( __FILE__ ));
define('GBFDBDATAFORMAT', "d-M-Y H:i:s");
define('GBFDBHOMEURL', "https://www.gb-plugins.com/gb-forms-db/");
define('GBFDBV', (isset($_GET['gbwebv']) ? strtotime("now") : '1.0.0.0'));


//Load the file to start the plugin
include_once('core/functions.php');

register_activation_hook( __FILE__, 'gbfdb_find_forms_plugins' );
register_deactivation_hook( __FILE__, 'gbfdb_deactivation' );

function gbfdb_deactivation() {
    wp_clear_scheduled_hook( 'gbfdb_check_new_leads' );
}
remove_action( 'shutdown', 'wp_ob_end_flush_all', 1 );
add_action( 'shutdown', function() {
    while ( @ob_end_flush() );
} );