window.onload = function(){
    if(typeof gbfdb !== 'undefined'){
        if(gbfdb.hasOwnProperty("data") && gbfdb.data.hasOwnProperty("supported_plugins") && typeof gbfdb.data["supported_plugins"] === "object"){
            if(gbfdb.data["supported_plugins"].hasOwnProperty('all-forms')){
                for(var i=0; i<document.forms.length; i++){
                    var form = document.forms[i];
                    if(!(form.classList.contains('elementor-form') || form.classList.contains('wpcf7-form'))){
                        form.addEventListener("submit", function(e){gbfdb_cache_all_forms(e);});

                    }
                }
            }

            if(gbfdb.data["supported_plugins"].hasOwnProperty('form')){
                var form_identifier = gbfdb.data["supported_plugins"].form['gbfdb-form-selector'];
                form = document.querySelectorAll(form_identifier);
                if(form.length){
                    for (var i_form = 0; i_form < form.length; i_form++) {
                        form[i_form].addEventListener('submit', function(e){gbfdb_cache_all_forms(e);});
                    }
                }

                /*
                var form = document.getElementById(form_identifier);
                if(form){
                    form.addEventListener("submit", function(e){gbfdb_cache_all_forms(e);});
                }else if(form = document.getElementsByClassName(form_identifier)){
                    for (var i = 0; i < form.length; i++) {
                        form[i].addEventListener('submit', function(e){gbfdb_cache_all_forms(e);});
                    }
                }
                */
            }
            /*
            gbfdb["supported_plugins"].forEach(function(val,index){
                //'.elementor-form'
                console.log(val);
            });
            */
        }
    }
};

function gbfdb_cache_all_forms(event){
    if(typeof event.target.elements === 'object'){
        var data = {};
        var index = 0;
        if(typeof event.timeStamp === 'number' && event.target.hasAttribute('action')){
            var date = new Date(Date.now());
            data["gbfdb_meta_datetime"] = date.toLocaleString();
            data["gbfdb_meta_action"] = event.target.action;
            data["gbfdb_meta_userAgent"] = navigator.userAgent;
            if(document.URL){
                data["gbfdb_meta_url"] = document.URL;
            }else if(document.referrer){
                data["gbfdb_meta_url"] = document.referrer;
            }
        }
        for(var i=0; i<event.target.elements.length; i++){
            if(event.target.elements[i].type != 'submit'){
                var input_field = event.target.elements[i];

                data[input_field.name] = input_field.value;
            }
        }

        if(!(Object.getOwnPropertyNames(data).length === 0)){
            call_gbfdb(data,"","gbfdb_all_forms_save");
        }
    }
}

function call_gbfdb(data_to_pass,callback,function_name){
    if(typeof gbfdb !== 'undefined'){
        var data = {
            action: 'gbfdb_talk_to_front',
            sod : gbfdb.sod,
            function : function_name,
            callback : callback,
            data : JSON.stringify(data_to_pass).replace(/\"/g,"#q#")
        };

        var gbfdb_form_data = new FormData();

        for ( var key in data ) {
            gbfdb_form_data.append(key, data[key]);
        }

        xhttp = new XMLHttpRequest();
        xhttp.open("POST", gbfdb.ajaxurl, true);

        xhttp.onreadystatechange = function() {
            if (this.readyState == 4 && this.status == 200 && this.responseText.indexOf('!@#') == 0 && this.responseText.indexOf('#@!') > 0) {
                var response = this.responseText.replace('!@#', '');
                response = response.replace('#@!', '');
                if(response != 1){
                    console.log(response);
                }
            }
        };
        xhttp.send(gbfdb_form_data);
    }
}